#
# spec file for package python-pylibmc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pylibmc
Version:        1.4.2
Release:        4.2
Summary:        Quick and small memcached client for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://sendapatch.se/projects/pylibmc/
Source:         https://pypi.python.org/packages/source/p/pylibmc/pylibmc-%{version}.tar.gz
BuildRequires:  libmemcached-devel
BuildRequires:  python-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
pylibmc is a Python client for memcached written in C.

%prep
%setup -q -n pylibmc-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitearch}/*

%changelog
* Mon May 11 2015 benoit.monin@gmx.fr
- update to version 1.4.2:
  * no changelog available
- additional changes from version 1.4.0:
  * Python 3.x support
  * miscellaneous bug fixes
  * testing improvements
  * documentation updates
- additional changes from version 1.3.0:
  * Added touch support
  * Added compress_level
  * Added weighted distribution
  * Added automated benchmarking utility
  * Added Travis CI and build status
  * Added behavior dead_timeout
  * Added behaviors tcp_keepalive
  * Added behavior callback_prefix_key
  * Lots of bug tuning, fixes, tests, and documentation
- remove LICENSE from package: not provided anymore
* Wed Sep 18 2013 speilicke@suse.com
- Fix license spelling
* Fri Aug  9 2013 speilicke@suse.com
- Fix license (SPDX style)
* Fri Aug  9 2013 speilicke@suse.com
- Initial version
